const tileSize = 32;

let level = {
  tiles: [
    1, 2, 2, 2, 2, 2, 2, 2, 6,
    4, 21, 22, 23, 21, 28, 32, 30, 7,
    4, 17, 20, 17, 19, 18, 17, 17, 7,
    4, 17, 17, 17, 17, 17, 17, 17, 7,
    4, 18, 20, 17, 17, 19, 17, 19, 7,
    4, 17, 17, 17, 20, 17, 18, 18, 7,
    4, 20, 17, 18, 17, 17, 17, 17, 7,
    4, 19, 17, 17, 17, 20, 17, 17, 7,
    14, 15, 11, 11, 11, 11, 11, 10, 13,
  ],
  size: {
    w: 9 * tileSize,
    h: 9 * tileSize
  },
  startPos: [
    { x: 5 * tileSize, y: 3 * tileSize }
  ],
  entities: [
    { 
      type: "Portal", 
      pos: { x: 4 * tileSize, y: tileSize }, 
      texture: "Door_n", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/0-2.js", pos: 0 }; 
      }, 
      key: ""
    },
    { 
      type: "Portal", 
      pos: { x: 4 * tileSize, y: 6 * tileSize }, 
      texture: "Ladder", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/2-6.js", pos: 0 }; 
      }, 
      key: ""
    }
  ]
};

module.exports = level;