const tileSize = 32;

let level = {
  tiles: [
    1, 2, 5, 2, 5, 2, 5, 2, 5, 6,
    4, 21, 22, 23, 21, 22, 26, 21, 25, 7,
    4, 18, 17, 20, 17, 17, 17, 17, 19, 7,
    4, 19, 17, 17, 20, 19, 18, 17, 17, 7,
    4, 20, 17, 17, 17, 17, 17, 17, 20, 7,
    4, 17, 18, 17, 19, 17, 17, 20, 18, 7,
    14, 11, 11, 11, 11, 11, 11, 11, 11, 13,
  ],
  size: {
    w: 10 * tileSize,
    h: 7 * tileSize
  },
  startPos: [
    { x: 7 * tileSize, y: 2 * tileSize }
  ],
  entities: [
    { 
      type: "Portal", 
      pos: { x: 7 * tileSize, y: 1 * tileSize }, 
      texture: "Door_n", 
      action: (_player, level) => { 
        level.switch = { module: __dirname + "/2-2.js", pos: 0 }; 
      }, 
      key: ""
    },
    {
      type: "Mage",
      pos: { x: 2 * tileSize, y: 3 * tileSize }
    },
    {
      type: "Mage",
      pos: { x: 5 * tileSize, y: 4 * tileSize }
    },
  ]
};

module.exports = level;