module.exports = {
  titleScreen: {
    instructions: [
      "Press Space to Start!",
      "Press T for the tutorial",
      "Press Q to quit",
      "Press S to go to the source code"
    ]
  },
  tutorial: [
    "Use WASD or the direction keys to move",
    "Press Ctrl to sprint, but watch your stamina!",
    "Press space to interact with objects",
    "If the arrow above an object is red, you cannot interact with it",
    "You might be missing a key or have already interacted with it",
    "Press space to return"
  ],
  gameOver: {
    dead: "You died!",
    instruction: "Press space to return to title"
  },
  game: {
    lives: "Lives",
    stamina: "Stamina",
    keyFind: "You found a key!",
    keyMissing: "You do not have the key for this door!",
    lifeBoost: "You found some health replenishing food!",
    signs: {
      "1-1": "Try opening the chest with the spacebar.",
      "1-2": "Always be careful opening doors.",
      "2-2": "Secret door on the right",
      "2-6": "Impressive, you're good.",
      "3-1": "Climb the ladder and walk two tiles to the left",
      "3-4": "Congrats."
    }
  },
  credits: {
    credits: "Credits:",
    arne: "(almost all) Code by Arne van Iterson",
    job: "Code and assets by Job Vonk",
    hannah: "Heron't logo by Hannah van Iterson",
    font: "The logo's font is “Alagard” by Hewett Tsoi"
  }
};